Bug 31354 - MinPhysicalRAM should be tested only when installing a app, not during an update
MinPhysicalRAM should be tested only when installing a app, not during an update
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - App-Center
UCS 3.1
Other Linux
: P3 normal (vote)
: UCS 3.1-1-errata
Assigned To: Dirk Wiesenthal
Alexander Kläser
:
Depends on:
Blocks: 31856
  Show dependency treegraph
 
Reported: 2013-05-14 13:33 CEST by Felix Botner
Modified: 2013-07-10 14:18 CEST (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Botner univentionstaff 2013-05-14 13:33:32 CEST
I have a UCS 3.1 (1024MB memory) with ox 6.2 and a NON-key-ID license. Then i switched to the test appcenter to update my ox to 7.2. But there is no update Button.

presumption:

There is not enough free memory. The ox app defines "MinPhysicalRAM=640" but my running system has only

-> free -m
             total       used       free     shared    buffers     cached
Mem:          1002        915         87          0          6        167

But it is ox itself that uses all this memory. At the moment, i need 2 * MinPhysicalRAM to update my ox app (or stop ox before the update).

I think it is better not to test MinPhysicalRAM when updating a app, or?
Comment 1 Stefan Gohmann univentionstaff 2013-06-23 09:50:18 CEST
I think we should change it more generally. Every ISV misunderstood the value.

Currently we check the real free memory, I think we should rather check the available memory in the system. And it should be possible to continue even if the system has less memory.
Comment 2 Dirk Wiesenthal univentionstaff 2013-06-26 15:01:33 CEST
(In reply to Stefan Gohmann from comment #1)
> I think we should change it more generally. Every ISV misunderstood the
> value.
> 
> Currently we check the real free memory, I think we should rather check the
> available memory in the system. And it should be possible to continue even
> if the system has less memory.

If we only check for the available memory we do not prevent installing every single app in the app center with only 1024 MB RAM. Or did I misunderstand the sentence? If we would do that, the whole check should be removed completely as it does not make much sense any more.

We _could_ somehow check for the difference of MinPhysicalRAM during an update if necessary. But if I remember the code correctly this might get hacky or dev-time consuming...

I like the idea with a simple warning not preventing the installation/update. This could be shown even during the update of OX when the old OX consumed all the RAM.
Comment 3 Dirk Wiesenthal univentionstaff 2013-06-28 16:30:09 CEST
Fixed in
  univention-management-console-module-appcenter 2.0.139-14.143.201306281536
and
  univention-management-console-module-appcenter 3.0.1-1.144.201306281606

YAML: 2013-06-28-univention-management-console-module-appcenter.yaml
Changelog updated
Comment 4 Alexander Kläser univentionstaff 2013-07-04 16:32:52 CEST
For testing I reserved 1.5GB of memory via python:

  import array
  a = array.array('d', xrange(int(1.5 * 1024 * 1024 * 1024 / 8)))

Erratum changes → OK
YAML file → OK
3.2 changes → OK
3.2 changelog → OK
Comment 5 Moritz Muehlenhoff univentionstaff 2013-07-10 14:18:21 CEST
http://errata.univention.de/ucs/3.1/146.html